Philip Crow > Gantry-3.42 > Gantry::Utils::PODViewer

Download:
Gantry-3.42.tar.gz

Dependencies

Annotate this POD

CPAN RT

New  10
Open  3
View/Report Bugs
Source   Latest Release: Gantry-3.64

NAME ^

Gantry::Utils::PODViewer - PODViewer application

SYNOPSIS ^

This module is a POD viewing application. The module expects only the path to an installed Perl module.

In mod_perl

If the deployment method is mod_perl:

    <Location /pod >
        PerlSetVar root                 '/home/gantry/templates'
        PerlSetVar template_wrapper     'pod_wrapper.tt'
        PerlSetVar pod_dir              '/home/perl/lib/Gantry'
        
        SetHandler perl-script
        PerlHandler Gantry::Utils::PODViewer
    </Location>

In CGI

On the other hand, if the deployment method is CGI:

#!/usr/local/bin/perl use strict;

use CGI::Carp qw(fatalsToBrowser); use Gantry::Utils::PODViewer qw( -Engine=CGI -TemplateEngine=TT ); use Gantry::Engine::CGI;

my $cgi = Gantry::Engine::CGI->new( { locations => { '/' => 'Gantry::Utils::PODViewer', }, config => { pod_dir => '/home/gantry/perl/lib/lib/Gantry', app_rootp => '/cgi-bin/gantry.cgi', root => '/home/gantry/templates', template_wrapper => 'pod_wrapper.tt', } } );

$cgi->dispatch;

METHODS ^

do_main
init

AUTHOR ^

Tim Keefer <tkeefer@gmail.com>

COPYRIGHT and LICENSE ^

Copyright (c) 2005-6, Tim Keefer.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.

syntax highlighting: